Subject: [RFC v2 3/6] irq: bypass: Extend skeleton for ARM forwarding control

From: [email-masked] (Paolo Bonzini)
Date: Tue, 7 Jul 2015 15:22:34 +0200

On 07/07/2015 13:33, Wu, Feng wrote:
>>> > > The need to store the consumer->producer link seems to be unique to
>>> > > posted interrupts.  It is difficult to say without seeing the PI code,
>>> > > but I prefer to keep the bypass manager as small as possible.
>> > 
>> > Fine. I will follow your suggestion!
> If using the following changes, how can we assign 'prod', we need to use
> container_of to get struct kvm_kernel_irqfd and then refer to 'prod', but
> we cannot do this in irq_bypass_register_consumer(), right? It is a
> common API. But we can only get the associated producer info inside
> bypass manager, right?

KVM's add_producer and del_producer callbacks do have a pointer to the
producer.

Paolo